For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a role assignment

Retrieves details of a specific role assignment.

Required permissions: TENANT_USER_ROLE_ASSIGNMENT

get
/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantUserUidstringRequired

Reference to a TenantUser.

Pattern: ^[A-Za-z0-9-_]+
tenantUserRoleAssignmentUidstringRequired

Reference to a TenantUserRoleAssignment.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Tenant user role assignment response

application/json
assignedAtstring · date-timeRequired

When the role was assigned

assignedBystringRequiredPattern: ^[A-Za-z0-9-_]*
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
tenantUserRoleAssignmentUidstringRequiredPattern: ^[A-Za-z0-9-_]+
isSystemRolebooleanRequired
get/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid}
GET /v2/tenants/{tenantUid}/users/{tenantUserUid}/roles/{tenantUserRoleAssignmentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Tenant user role assignment response

{
  "tenantRole": {
    "name": "text",
    "tenantRoleUid": "text",
    "isSystemRole": true
  },
  "organization": {
    "name": "text",
    "organizationUid": "text"
  },
  "store": {
    "name": "text",
    "storeUid": "text",
    "organizationUid": "text",
    "organizationName": "text"
  },
  "assignedAt": "2026-01-01T00:00:00.000Z",
  "assignedBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "tenantUserRoleAssignmentUid": "text",
  "isSystemRole": true
}

Last updated

Was this helpful?